struct SIO
{
    unsigned char switches;
    unsigned int servo_data[22];
    unsigned int servo_data_ret[22];
    int motion_log_flg;
    int motion_log_datanum;
    float Battery;
    float gain_gx, gain_gy, gain_gz;
    float motion_log[320][6];
};

//モーションデータのポイント数
#define  WAVE_MAX 64
//円周率
#define  PI 3.141592654

//main.cpp

//sio1.cpp
unsigned int read_ii(Serial *port);
void print_ii(Serial *port, unsigned int data);
void sio_comm1(unsigned char command, struct SIO *sio);

//servo_io.cpp
void move_servo(Serial *port, unsigned int servo_id, unsigned int data, unsigned int *return_data);
void read_servo(Serial *port, unsigned int servo_id, unsigned int data, unsigned int return_data[6]);





